com.amazonaws.services.machinelearning.model

## Class AddTagsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.AddTagsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class AddTagsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`AddTagsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddTagsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getResourceId()` The ID of the ML object to tag.
`String` `getResourceType()` The type of the ML object to tag.
`List<Tag>` `getTags()` The key-value pairs to use to create tags.
`int` `hashCode()`
`void` `setResourceId(String resourceId)` The ID of the ML object to tag.
`void` `setResourceType(String resourceType)` The type of the ML object to tag.
`void` `setResourceType(TaggableResourceType resourceType)` The type of the ML object to tag.
`void` `setTags(Collection<Tag> tags)` The key-value pairs to use to create tags.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AddTagsRequest` `withResourceId(String resourceId)` The ID of the ML object to tag.
`AddTagsRequest` `withResourceType(String resourceType)` The type of the ML object to tag.
`AddTagsRequest` `withResourceType(TaggableResourceType resourceType)` The type of the ML object to tag.
`AddTagsRequest` `withTags(Collection<Tag> tags)` The key-value pairs to use to create tags.
`AddTagsRequest` `withTags(Tag... tags)` The key-value pairs to use to create tags.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddTagsRequest

    public AddTagsRequest()

### Method Detail

#### getTags

    public List<Tag> getTags()

The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

Returns:
  The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

#### setTags

    public void setTags(Collection<Tag> tags)

The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

Parameters:
  `tags` - The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

#### withTags

    public AddTagsRequest withTags(Tag... tags)

The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public AddTagsRequest withTags(Collection<Tag> tags)

The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.

Parameters:
  `tags` - The key-value pairs to use to create tags. If you specify a key without specifying a value, Amazon ML creates a tag with the specified key and a value of null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceId

    public void setResourceId(String resourceId)

The ID of the ML object to tag. For example, `exampleModelId`.

Parameters:
  `resourceId` - The ID of the ML object to tag. For example, `exampleModelId`.

#### getResourceId

    public String getResourceId()

The ID of the ML object to tag. For example, `exampleModelId`.

Returns:
  The ID of the ML object to tag. For example, `exampleModelId`.

#### withResourceId

    public AddTagsRequest withResourceId(String resourceId)

The ID of the ML object to tag. For example, `exampleModelId`.

Parameters:
  `resourceId` - The ID of the ML object to tag. For example, `exampleModelId`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceType

    public void setResourceType(String resourceType)

The type of the ML object to tag.

Parameters:
  `resourceType` - The type of the ML object to tag.
See Also:
  `TaggableResourceType`

#### getResourceType

    public String getResourceType()

The type of the ML object to tag.

Returns:
  The type of the ML object to tag.
See Also:
  `TaggableResourceType`

#### withResourceType

    public AddTagsRequest withResourceType(String resourceType)

The type of the ML object to tag.

Parameters:
  `resourceType` - The type of the ML object to tag.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### setResourceType

    public void setResourceType(TaggableResourceType resourceType)

The type of the ML object to tag.

Parameters:
  `resourceType` - The type of the ML object to tag.
See Also:
  `TaggableResourceType`

#### withResourceType

    public AddTagsRequest withResourceType(TaggableResourceType resourceType)

The type of the ML object to tag.

Parameters:
  `resourceType` - The type of the ML object to tag.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AddTagsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`